> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/4.2/administration/configuring-fluent-bit/yaml.md).

# YAML configuration files

![](https://static.scarf.sh/a.png?x-pxid=864c6f0e-8977-4838-8772-84416943548e)

In Fluent Bit v3.2 and later, YAML configuration files support all of the settings and features that [classic configuration files](/manual/4.2/administration/configuring-fluent-bit/classic-mode.md) support, plus additional features that classic configuration files don't support, like processors.

YAML configuration files support the following top-level sections:

* `env`: Configures [environment variables](/manual/4.2/administration/configuring-fluent-bit/yaml/environment-variables-section.md).
* `includes`: Specifies additional YAML configuration files to [include as part of a parent file](/manual/4.2/administration/configuring-fluent-bit/yaml/includes-section.md).
* `service`: Configures global properties of the Fluent Bit [service](/manual/4.2/administration/configuring-fluent-bit/yaml/service-section.md).
* `pipeline`: Configures active [`inputs`, `filters`, and `outputs`](/manual/4.2/administration/configuring-fluent-bit/yaml/pipeline-section.md).
* `parsers`: Defines [custom parsers](/manual/4.2/administration/configuring-fluent-bit/yaml/parsers-section.md).
* `multiline_parsers`: Defines [custom multiline parsers](/manual/4.2/administration/configuring-fluent-bit/yaml/multiline-parsers-section.md).
* `plugins`: Defines paths for [custom plugins](/manual/4.2/administration/configuring-fluent-bit/yaml/plugins-section.md).
* `upstream_servers`: Defines [nodes](/manual/4.2/administration/configuring-fluent-bit/yaml/upstream-servers-section.md) for output plugins.

{% hint style="info" %}
YAML configuration is used in the smoke tests for containers. An always-correct up-to-date example is here: <https://github.com/fluent/fluent-bit/blob/master/packaging/testing/smoke/container/fluent-bit.yaml>.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/4.2/administration/configuring-fluent-bit/yaml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
